Subject: bug#63318: closed (Re: bug#63318: Variable ediff-auto-refine doesn't always default to "on")

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 13 May 2023 14:03:02 +0000

Your bug report

#63318: Variable ediff-auto-refine doesn't always default to "on"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63318: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63318
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63318: Variable ediff-auto-refine doesn't always default to "on"
From: Eli Zaretskii <[email-masked]>
To: Peter Oliver <[email-masked]>
Cc: [email-masked]
Date: Sat, 13 May 2023 17:02:14 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 8 May 2023 11:26:47 +0100 (BST)
> From: Peter Oliver <[email-masked]>
> cc: [email-masked]
> 
> > Why doesn't Ediff turn on ediff-auto-refine for all terminals?
> > AFAICT, it only needs faces (basically, colors), and we support that
> > on all terminals nowadays?  So I think we should simply change the
> > default value (which will also solve bug#63317).  Or what am I
> > missing?
> 
> I assumed that this complication was present because there exist displays on which auto-refinement isn’t desirable.
> 
> If that’s no-longer the case, then great, simplifying the default to always be “on” certainly sounds like the best way to go to me.  Attached is a patch to do that instead.

Thanks, installed on the master branch (after applying the necessary
fix).

Closing the bug.

Subject: Variable ediff-auto-refine doesn't always default to "on"
From: Peter Oliver <[email-masked]>
To: [email-masked]
Date: Fri, 5 May 2023 21:21:50 +0100 (BST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: minor
Tags: patch

Document that variable ediff-auto-refine doesn't always default to "on".

-- 
Peter Oliver

From 28b1350527adc9a9ba3575378cbac31711ffa056 Mon Sep 17 00:00:00 2001
From: Peter Oliver <[email-masked]>
Date: Fri, 5 May 2023 21:16:51 +0100
Subject: [PATCH] Variable ediff-auto-refine doesn't always default to "on"
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

* doc/misc/ediff.texi (Refinement of Difference Regions): mention that
“on” is the default for ediff-auto-refine only on suitable displays.
---
 doc/misc/ediff.texi | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/doc/misc/ediff.texi b/doc/misc/ediff.texi
index ce6cb8c9bd6..82bb03fe201 100644
--- a/doc/misc/ediff.texi
+++ b/doc/misc/ediff.texi
@@ -1783,7 +1783,7 @@ Refinement of Difference Regions
 @vindex ediff-auto-refine
 This variable controls whether fine differences within regions are
 highlighted automatically (``auto-refining'').  The default is yes
-(@samp{on}).
+(@samp{on}) on suitable displays.
 
 On a slow machine, automatic refinement may be painful.  In that case,
 you can turn auto-refining on or off interactively by typing
-- 
2.40.1